<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<c:set value="false" var="enableSalesForceOptions"></c:set>
<c:if test="${applicationScope.enableSalesForceOptions eq true}">
		<c:set value="true" var="enableSalesForceOptions"></c:set>
</c:if>
<fmt:bundle basename="localization.VMProvisioningMessages">

	<jsp:include page="../common/header.jsp">
		<jsp:param
			value="${pageContext.request.contextPath}/vmlabs/css/vmlabs.css"
			name="css" />
		<jsp:param value="vmlabs" name="title" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="${css}" name="css" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="vmlabs" name="headerTitle" />
		<jsp:param value="true" name="includeHistory" />
	</jsp:include>

	<%@ include file="../jobs/JobManager.jsp"%>
	<form id="devtestForm" method="post" action="createLab.do" role="form"
		class="form-horizontal">
		<div>
			<ul id="tab" class="nav nav-tabs" role="tablist">
				<li role="presentation" class="active" id="templatetabheader"
					data-div="templatetab"><a data-toggle="tab"
					href="#templatetab"><fmt:message key="devtest.template" /></a></li>
				<li role="presentation" class="disabled" id="nametabheader"
					data-div="nametab"><a data-toggle="tab" href="#nametab"><fmt:message
							key="devtest.name" /></a></li>
				<li role="presentation" class="disabled" id="configtabheader"
					data-div="configtab"><a data-toggle="tab" href="#configtab" x><fmt:message
							key="vmWizard.label.configuration" /></a></li>
				<li role="presentation" class="disabled" id="usertabheader"
					data-div="usertab"><a data-toggle="tab" href="#usertab"><fmt:message
							key="vmwizard.label.userdetails" /></a></li>
				<li role="presentation" class="disabled" id="summarytabheader"
					data-div="summarytab"><a data-toggle="tab" href="#summarytab"><fmt:message
							key="vmwizard.label.summary" /></a></li>
			</ul>

			<div class="tab-content">
				<div id="templatetab" class="tab-pane in active template">
					<div id="templates"></div>
				</div>

				<div id="nametab" class="tab-pane">
					<div class="row">
						<div class="form-group">
							<label for="vmname" class="control-label col-sm-2 col-lg-1"><fmt:message
									key="name" /></label>
							<div class="col-sm-6 col-lg-2">
								<input type="text" class="form-control" id="vmname"
									name="vmname" autofocus> <label
									class="form-control-feedback"><fmt:message
										key="required" /></label>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="form-group">
							<label for="description" class="control-label col-sm-2 col-lg-1"><fmt:message
									key="description" /></label>
							<div class="col-sm-6 col-lg-2">
								<textarea class="form-control" id="description"> </textarea>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="form-group">
							<label for="expirationDate"
								class="control-label col-sm-2 col-lg-1"><fmt:message
									key="vmDetails.label.Expiration" /></label>
							<div class="col-sm-6 col-lg-2">
								<input type="text" class="form-control datepicker"
									id="expirationDate" name="expirationDate"
									style="position: relative; z-index: 9999;">
							</div>
						</div>
					</div>
					<div class="row" id="labsCountElement" style="display:none">
						<div class="form-group">
							<label for="labCount"
								class="control-label col-sm-2 col-lg-1"><fmt:message
									key="devtest.labsCount" />:</label>
							<div class="col-sm-6 col-lg-2">
								<input type="text" 
									id="labsCount" name="labsCount" value="1" min="1" max="100">
							</div>
						</div>
					</div>
					<c:if test="${enableSalesForceOptions eq true}">
					<div id="salesForceOptions" style="display:none">
						<div class="row" >
							<div class="form-group">
								<label for="salesforceopportunityid" class="control-label col-sm-2 col-lg-1"><fmt:message
										key="devtest.salesforceopportunityid" />:</label>
								<div class="col-sm-6 col-lg-2">
									<input type="text" class="form-control" id="salesForceOpportunityId"
										name="salesforceopportunityid" autofocus>
								</div>
							</div>
						</div>
						<div class="row">
							    <div class=" form-group form-inline">
								<label for="salesforcepurpose" class="control-label col-sm-2 col-lg-1">
									<fmt:message key="devtest.purpose" />:
								</label>       
								<div class="col-sm-6 col-lg-5">		
      								<div class="radio">							
								   <label class="radio-inline control-label">
							        <input type="radio" id="salesForceDemo" name="salesforcepurpose" value="Demo" checked="">
							          <fmt:message key="devtest.demo" />
							        </label>       
							  	</div>
      								<div class="radio">	
							        <label class="radio radio-inline control-label">
							          <input type="radio" id="salesForceTraining" name="salesforcepurpose" value="Training">
							          <fmt:message key="devtest.training" /></label>
							          </div>
      								<div class="radio">	
							        <label class="radio radio-inline control-label">
							         	 <input type="radio" id="salesForceOther" name="salesforcepurpose" value="Other">
							         	 <fmt:message key="devtest.other" /></label>
							      		 <input placeholder="other" type="text" class="form-control disabled" id="salesForceOtherValue" name="salesForceOtherValue" data-rule-required="true" contenteditable="false">
							      		 <label class="form-control-feedback"><fmt:message key="required" /></label>
							      		 
							    	</div>
							    </div>
							 </div>
						</div>

						</div>
						
				
					</c:if>
							<div class="row" id="showRequestModeOnlyForDevTestGroups">
							    <div class=" form-group form-inline">
								<label for="requestmode" class="control-label col-sm-2 col-lg-1">
									<fmt:message key="devtest.requestmode" />:
								</label>       
								<div class="col-sm-6 col-lg-5">		
      								<div class="radio">							
								   <label class="radio-inline control-label">
							        <input type="radio" id="requestModeImmediate" name="requestmode" value="Immediate" checked="">
							          <fmt:message key="devtest.immediate" />
							        </label>       
							  	</div>
   
      							<div class="radio">	
							        <label class="radio radio-inline control-label">
							         	 <input type="radio" id="requestModeReservation" name="requestmode" value="ReservationDate">
							         	 <fmt:message key="devtest.reservationdate" /></label>
							         	 <input type="text" class="form-control datepicker disabled" id="requestModeReservationDate" name="requestModeReservationDate" style="position: relative; z-index: 9999;" contenteditable="false">
							         	 <label class="form-control-feedback"><fmt:message key="required" /></label>
							         	 
							    	</div>
							    </div>
							 </div>
						</div>
				</div>

				<div id="configtab" class="tab-pane">
					<div class="config-customize">
						<div class="reportTable">
							<table id="configVMsTable" class="table table-responsive table-bordered">
								<thead>
									<tr>
										<th><input type="checkbox" id="chkParent" checked="true"/></th>
										<th><fmt:message key="devtest.vm" /></th>
										<th><fmt:message key="devtest.numofcpus" /></th>
										<th><fmt:message key="vmDetails.label.Memory" /></th>
										<th><fmt:message key="devtest.os" /></th>
										<th id="config-isoPath"><fmt:message
												key="vmWizard.label.isoPath" /></th>
									</tr>
								</thead>

								<tbody></tbody>

							</table>
						</div>
					</div>
				</div>
				<div id="usertab" class="tab-pane">
					<div class="row">
						<div class="form-group">
							<p class="p">
								<fmt:message key="vmlabs.wizard.username.info" />
							</p>
						</div>
					</div>

					<div class="row">
						<div class="form-group">
							<label for="vmpassword" class="control-label col-sm-3 col-lg-1"><fmt:message
									key="password" /></label>
							<div class="col-sm-4 col-lg-2">
								<input type="password" class="form-control" id="vmpassword"
									autocomplete="off">
								<div class="form-control-feedback">
									<fmt:message key="required" />
								</div>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="form-group">
							<label for="vmconfirmpassword"
								class="control-label col-sm-3 col-lg-1"><fmt:message
									key="confirmPassword" /></label>
							<div class="col-sm-4 col-lg-2">
								<input type="password" class="form-control"
									id="vmconfirmpassword" autocomplete="off">
								<div class="form-control-feedback">
									<fmt:message key="required" />
								</div>
								<div class="form-control-feedback2">
									<fmt:message key="passwordsDontMatch" />
								</div>
							</div>
						</div>
					</div>
				</div>
				<div id="summarytab" class="tab-pane">
					<div id="summarytext">
						<div class="row">
							<label class="col-sm-3 col-md-3 col-lg-2 labelheader"><fmt:message
									key="devtest.selectedTemplateName" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryTemplateName"></label>
						</div>

						<div class="row">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="nameNoColon" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryVMName"></label>
						</div>

						<div class="row">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="descriptionNoColon" /></label> <label
								class="col-sm-4 col-lg-4 labeltext" id="summaryDescription"></label>
						</div>

						<div class="row">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="expirationDateNoColon" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryExpirationDate"></label>
						</div>
						
						<div class="row summaryLabsCount" style="display: none;">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="devtest.labsCount" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryLabsCount"></label>
						</div>
						<div class="row summarySalesForceOpportunityId" style="display: none;">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="devtest.salesforceopportunityid" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summarySalesForceOpportunityId"></label>
						</div>
						
						<div class="row summarySalesForcePurpose" style="display: none;">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="devtest.purpose" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summarySalesForcePurpose"></label>
						</div>
						
						<div class="row summaryRequestMode" style="display: none;">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="devtest.requestmode" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryRequestMode"></label>
						</div>
						
						<div class="row summaryReservationDate" style="display: none;">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="devtest.reservationdate" /></label> <label
								class="col-sm-4 col-lg-2 labeltext" id="summaryReservationDate"></label>
						</div>
						
						<div class="row">
							<label class="col-sm-3 col-lg-2 labelheader"><fmt:message
									key="vmWizard.label.configuration" /></label>
						</div>

						<div class="row">
							<div class="col-sm-10 col-lg-6">
								<table id="summaryVMsTableLab"
									class="table table-bordered table-responsive table-sm">
									<thead>
										<tr>
											<th class="th col-lg-2"><fmt:message key="devtest.vm" /></th>
											<th class="th col-lg-2"><fmt:message
													key="devtest.numofcpus" /></th>
											<th class="th col-lg-2"><fmt:message
													key="vmDetails.label.Memory" /></th>
											<th class="th col-lg-2"><fmt:message key="devtest.os" /></th>
											<th class="th col-lg-2" id="summary-isoPath"><fmt:message
													key="vmWizard.label.isoPath" /></th>
										</tr>
									</thead>

									<tbody>
									</tbody>

								</table>
							</div>
						</div>

						<div class="row">
							<div class="col-sm-10 col-lg-6">
								<table id="summaryVMsTableDevTest"
									class="table table-bordered table-responsive table-sm">
									<thead>
										<tr>
											<th class="th col-lg-2"><fmt:message key="devtest.vm" /></th>
											<th class="th col-lg-2"><fmt:message
													key="devtest.bootOrder" /></th>
											<th id="summary-script" class="th col-lg-2"><fmt:message
													key="devtest.script" /></th>
											<th id="summary-amazoninstancetypes" class="th col-lg-2"><fmt:message
													key="devtest.instancetypes" /></th>		
										</tr>
									</thead>

									<tbody>
									</tbody>

								</table>
							</div>
						</div>
					</div>

				</div>
			</div>

			<div class="btn-toolbar" role="group">
				<a href="."><button type="button" class="btn vw-btn-secondary" id="cancelBtn">
						<fmt:message key="cancel" />
					</button></a>
				<button type="button" class="btn btn-primary disabled" id="prevBtn">
					<fmt:message key="previous" />
				</button>
				<button type="button" class="btn btn-primary" id="nextBtn">
					<fmt:message key="next" />
				</button>
				<button type="button" class="btn btn-primary disabled"
					id="finishBtn">
					<fmt:message key="finish" />
				</button>
			</div>
		</div>
	</form>
</fmt:bundle>

<script nonce="${sessionScope.cspNonce}" >
var localMsg = localMsg || {};
<c:set var="locale" value="${pageContext.request.locale}" />
${cv:jsLocalize("localMsg", "localization.VMProvisioningJSMessages", null)};
</script>

<jsp:include page="../common/footer.jsp">
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/vmprovisioning/js/vmprov.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/vmlabs/js/devtestgroup.js"
		name="js" />

	<jsp:param value="true" name="bootstrapped" />
</jsp:include>