<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>

<jsp:include page="../common/header.jsp">
	<jsp:param value="vmlabs" name="title" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/templatestyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/css/vmprov.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/vmlabs/css/vmlabs.css" name="css"/>
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="vmlabs" name="headerTitle" />
	<jsp:param value="true" name="includeTableSupport" />
	<jsp:param value="true" name="includeCustomSelect"/>
	<jsp:param value="true" name="includeHistory"/>
</jsp:include>

<%@ include file="../jobs/JobManager.jsp" %>

<fmt:bundle basename="localization.VMProvisioningMessages">
<div id="devtestgroupdiv" class="add toprightButton">
<a href="devtestgroup.jsp"><span id="createdevtest" class="someLink"><span class="sprite icon-plus" style="vertical-align:bottom;"></span> <fmt:message key="vmlabs.create" /></span></a>
</div>

<div id="laptopList">
	
		<div class="sub-section">			
			<fmt:bundle basename="localization.VMProvisioningMessages">
			<div id="holder">
				
				<div id="virtualMachines" class="reportTable">	
					<div id="toolbar">
						<ul id="vmlistactions" class="vmactions">
							<li id="POWERON_LAB" class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.start" />"><span class="sprite icon-play"></span></li>
							<li id="SHUTDOWN_LAB" class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.stop" />"><span class="sprite icon-power"></span></li>
							<li id="DELETE_LAB" class="disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.delete" />"><span class="sprite icon-delete"></span></li>
			                <li id="RENEW_LAB" class="disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.renew" />"><span class="sprite icon-renew"></span></li>
			                <li id="EDIT_LABNAME" class="disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.editlabname" />"><span class="sprite icon-edit"></span></li>			                
		        		</ul>
					<div class="clearFloat"></div>	
				</div>
		        	<div class="rptTblBtnEncDiv">
			        	<div id="virtualMachines_holder" class="columnEditor dynamicDropDown hideOnExportFriendly">
									<input id="virtualMachines_Button" class="AddorRemoveCols " type="button"	value="" title="<fmt:message key="AddRemoveCols"/>" />
										<ul id="virtualMachines_Colums" class="reportColums_container"></ul>
						</div>
		       			<div id="virtualMachines_Filter" class="reports_Filter">
										<input id="virtualMachines_FilterButton" class="tableFilter" type="button" value=""  title="<fmt:message key="filter"/>" />
										<input type="hidden" id="virtualMachines_FilterSelected" />
						</div>
		        	</div>
					<table id="virtualMachines_table" class="display tablesorter"></table> 
					<div class="clearFloat"></div>
				</div>	
			</div>	
			</fmt:bundle>
			
		</div>	
</div>
</fmt:bundle>
<div style="display:none;">
	<fmt:bundle basename="localization.VMProvisioningMessages">
	<div id="renewDialog" title="Renew Virtual Machine">
		<label for="newexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
		<input style="position: relative; z-index: 9999;" class="datepicker" name="newexpirationdate" id="newexpirationdate" type="text" />
		<span id="extenExpirationByHour" style="Display: none"><fmt:message key="vmDetails.label.Hours" /></span>		
	</div>
	</fmt:bundle>
</div>

<div style="display:none;">
	<fmt:bundle basename="localization.VMProvisioningMessages">
	<div id="editLabNameDialog" title="<fmt:message key="vmDetails.actions.editlabname" />">
		<label for="newLabName"><fmt:message key="vmDetails.label.labname" /></label>
		<input class="input_field_12em"  name="newLabName" type="text" id="newLabNameField"/>
	</div>
	</fmt:bundle>
</div>
	<c:if test="${not empty sessionScope.LOCALIZED_ERROR_MSG}">
	<script nonce="${sessionScope.cspNonce}" >
		cvUtil.errorToast('${sessionScope.LOCALIZED_ERROR_MSG}');
	</script>
	<c:set var="LOCALIZED_ERROR_MSG" value="" scope="session" />
</c:if>
<script nonce="${sessionScope.cspNonce}" >
jobs = [];
var localMsg = localMsg || {};
<c:set var="locale" value="${pageContext.request.locale}" />
${cv:jsLocalize("localMsg", "localization.VMProvisioningJSMessages", null)};
${cv:jsLocalize("localMsg", "localization.VMProvisioningMessages", null)};
</script>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/underscore.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/> 
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/tablebase.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmprov.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmvalidation.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmlabs/js/vmlabs.js" name="js"/>
</jsp:include>