<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.VMProvisioningMessages">
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:set value="false" var="enableCustomVMParams"></c:set>
<c:if test="${applicationScope.enableCustomVMParams eq true}">
		<c:set value="true" var="enableCustomVMParams"></c:set>
</c:if>
<form id="createvmForm" method="post" action="createvm.do">
	<div id="wizard" class="swMain">
				  <ul>
				    <li><a href="#step-1">
				          <span class="stepDesc">
				             <fmt:message key="vmDetails.label.VMPool" />
				          </span>
				      </a></li>
				    <li><a href="#step-2">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.name" />
				          </span>
				      </a></li>
				    <li><a href="#step-3">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.template" />
				          </span>
				       </a></li>
				    <li class="step4"><a href="#step-4">
				          <span class="stepDesc step_userdetails">
				             <fmt:message key="vmwizard.label.userdetails" />
				          </span>
				      </a></li>
				      <li><a href="#step-5">
				          <span class="stepDesc step_resource">
				              <fmt:message key="vmWizard.label.resource" />
				          </span>
				      </a></li>
				      <li><a href="#step-6">
				          <span class="stepDesc step_disk">
				             <fmt:message key="vmWizard.label.disks" />
				          </span>
				      </a></li>
				      <li><a href="#step-7">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.summary" />
				          </span>
				      </a></li>
				  </ul>
				<div id="step-1" class="step vmpoolspage" >
					<label class="labelontop" for="vmPool"><fmt:message key="vmDetails.label.SelectVMPool" /></label><br />
					<ul id="vmPool">
					</ul>
					<ul id="vmPoolDesc" hidden="hidden">
					</ul>
					<input type="hidden" name="vmPool" />
					<br />
					<label class="lableontop" for="policyDesc"><fmt:message key="vmwizard.label.desc" /><br /></label>
					<br />
					<label id="policyDesc"></label>
				</div>
				<div id="step-2" class="step">
					<label for="vmname"><fmt:message key="name" /></label>
					<input title="Name must be like the pattern with * replaced by 1 or more characters" class="input_field_12em" type="text" name="vmname" id="vmname" />
					<label class="vmnamepatternlabel"></label>
					<span class="vmnamepatternlabel" title="Name must be like the pattern with * replaced by 1 or more characters">
					&nbsp;&nbsp;&nbsp;Pattern: <span id="vmnamepattern" class='vmnamepattern'></span><br />
					</span>
					<label for="vmdescription"><fmt:message key="description" /></label>
					<textarea cols="18" rows="2" class="input_field_12em" name="vmdescription" id="vmdescription"></textarea><br />

					<c:if test="${enableCustomVMParams eq true}">
						<label for="vmdomainname"><fmt:message key="vmDetails.label.DomainName" />:</label>
						<input style="position: relative; z-index: 9999;" class="input_field_12em datepicker" name="vmdomainname" id="vmdomainname" /><br />
						<label for="vmorgunit"><fmt:message key="vmDetails.label.OrgUnit" />:</label>
						<input style="position: relative; z-index: 9999;" class="input_field_12em datepicker" name="vmorgunit" id="vmorgunit" /><br />
					</c:if>

					<label for="vmexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
					<input style="position: relative; z-index: 9999;" class="input_field_12em datepicker" name="vmexpirationdate" id="vmexpirationdate" /><br />
					<label for="vmCount"><fmt:message key="vmwizard.label.vmCount" /></label>

					<input id="vmCount" type="text" name="vmCount" value="1" size="2" autocomplete="off" />

					<label for="vmbackup" class="vmbackup"><fmt:message key="vmWizard.label.enableBackup" /></label>
					<label class="vmbackup"><div data-state="unchecked" class="custom-cb" id="vmbackup"></div><span class="custom-cb-label"></span></label>

					<span class="category"><fmt:message key="vmWizard.label.quotaInfo" /></span>

					<span id="noOfVMsQuota">
						<label><fmt:message key="vmWizard.label.maxVMQuota" /></b></label>
						<label><span id="maxVMQuota"></span> VM(s)</label>
						<label><fmt:message key="vmWizard.label.createdVMCount" /></label>
						<label><span id="createdVMCount"></span> VM(s)</label>
					</span>
					<span id="memoryCPUQuota">
						<label><fmt:message key="vmWizard.label.maxMemoryQuotaGB" /> <span id="maxMemoryQuotaGB"></span> GB</label>
						<label><fmt:message key="vmWizard.label.usedMemoryInGB" /> <span id="usedMemoryInGB"></span> GB </label>
						<label><fmt:message key="vmWizard.label.maxCPUQuota" /> <span id="maxCPUQuota"></span> </label>
						<label><fmt:message key="vmWizard.label.usedCPUCores" /> <span id="usedCPUCores"></span> </label>

					</span>
				</div>
				<div id="step-3" class="step reportTable templatespage">
					<table class="tablesorter" id="vmTemplates" width="100%">
						<thead>
							<tr>
								<th></th>
								<th><fmt:message key="name" /></th>
								<th><fmt:message key="vmDetails.label.OS" /></th>
							</tr>
						</thead>
						<tbody></tbody>
					</table>
					<div id="No_templates_div"></div>
					<input id="selectedTemplateGUID" type="hidden" name="selectedTemplateGUID" />
					<input id="selectedTemplateName" type="hidden" name="selectedTemplateName" />
					<input id="selectedTemplateVCenter" type="hidden" name="selectedTemplateVCenter" />
					<input id="selectedTemplateOSName" type="hidden" name="selectedTemplateOSName" />
				</div>
				<div id="step-4" class="step step4 userPage">

					<span id="windowslabel"><fmt:message key="vmwizard.label.passwordMessage"><fmt:param value="administrator"/></fmt:message></span>
					<span id="linuxlabel"><fmt:message key="vmwizard.label.passwordMessage"><fmt:param value="root"/></fmt:message></span>
					<span id="azureLabel"><fmt:message key="vmwizard.label.azureUserNamePasswordMessage"></fmt:message></span>
					<br/>
					<label for="vmusername"><fmt:message key="vmwizard.label.userName" /></label>
					<input class="input_field_12em" name="vmusername" id="vmusername" value=""/><br />
					<label for="vmpassword"><fmt:message key="password" /></label>
					<input class="input_field_12em" name="vmpassword" id="vmpassword" type="password" autocomplete="off"/><br />
					<label for="vmretypePassword"><fmt:message key="confirmPassword" /></label>
					<input class="input_field_12em" name="vmretypePassword" id="vmretypePassword" type="password" autocomplete="off"/><br />
				</div>
				<div id="step-5" class="step memorypage">
					<div class="vmware">
						<label for="vmmemory"><fmt:message key="vmWizard.label.Memory" /></label>
						<input class="input_field_12em" name="vmmemory" id="vmmemory" />
						<span class="price vmmemory-price" id="vmmemory-price" title="<fmt:message key="vmWizard.label.Cost" />"></span>

						<br>

						<div class="memSlideWrapper">
							<div id="memoryslider"></div>
						</div>

						<label for="numcpus"><fmt:message key="vmDetails.label.numCPU" /></label>
						<input class="input_field_12em" name="numcpus" id="numcpus" />
						<span class="price numcpus-price" id="numcpus-price" title="<fmt:message key="vmWizard.label.Cost" />"></span>

						<br>

						<label for="numnics"><fmt:message key="vmDetails.label.numNics" /></label>
						<input type="number" class="input_field_12em" name="numnics" id="numnics"/>

						<!--
						  This set of elements is filled with multiple select
						  dropdowns for network name selection on policies with
						  multiple NICs
						-->
						<div id="nicNameDiv"></div>
					</div>
					<div class="amazon">
						<table class="tablesorter" id="amazonInstanceTypes" width="100%">
							<thead>
								<tr>
									<th></th>
									<th><fmt:message key="noColon.instanceType" /></th>
									<th><fmt:message key="noColon.CPUUnits" /></th>
									<th><fmt:message key="noColon.CPUCores" /></th>
									<th><fmt:message key="noColon.Memory" /></th>
								</tr>
							</thead>
							<tbody></tbody>
						</table>
					</div>
					<div class="azure">
						<table class="tablesorter" id="azureInstanceTypes" width="100%">
							<thead>
								<tr>
									<th></th>
									<th><fmt:message key="vmWizard.label.size" /></th>
									<th><fmt:message key="noColon.CPUCores" /></th>
									<th><fmt:message key="noColon.Memory" /></th>
								</tr>
							</thead>
							<tbody></tbody>
						</table>
					</div>
					<div class="oracle-cloud">
						<table class="tablesorter" id="ocInstanceTypes" width="100%">
							<thead>
								<tr>
									<th></th>
									<th><fmt:message key="vmWizard.label.shape" /></th>
									<th><fmt:message key="noColon.CPUCores" /></th>
									<th><fmt:message key="noColon.Memory" /></th>
								</tr>
							</thead>
							<tbody></tbody>
						</table>
					</div>
					<input id="selectedInstanceTypeId" type="hidden" name="selectedInstanceTypeId" />
				</div>
				<div id="step-6" class="step diskpage">
					<div id ="IOPS">
						<label> <fmt:message key="vmwizard.label.IOPSLimit" /> </label><label><span id="IOPSLimit"></span></label><br />
						<label for="vmIOPS"><fmt:message key="vmwizard.label.IOPS" /></label>
						<input class="input_field_12em" name="vmIOPS" id="vmIOPS" /><br />
						<div class="sliderWrapper"><div id="IOPSslider"></div></div>
					</div>
					<label><fmt:message key="vmWizard.label.maxDisk" /></label>
					<label><span id="maxDiskSpace"></span>GB</label>
					<label><fmt:message key="vmWizard.label.maxDisksCount" /></label>
					<label><span id="maxDisks"></span></label>

					<br>

					<!-- this div is used to allow the user to add multiple disks allowable up to the limit defined in the Policy.
						Check the corresponding js file for the code -->
					<div id="multipleDisks">

					</div>

					<br />
					<a href="#" id="addDisk"><fmt:message key="vmWizard.label.AddDisk" /></a>

					<div id="isoMountPath">
					  <span>
						  <div id="isopath-cb" class="custom-cb jobtype" data-state="unchecked"></div>
						  <span class="custom-cb-label"><fmt:message key="vmWizard.label.isoMountPath" /></span>
					  </span>

					  <span id="isoPathDiv"></span>
				    </div>

					<ul id="networkAndSubnets" class="azure azure-networks"></ul>
					<label for="createPublicIP" class="createPublicIP"><fmt:message key="vmWizard.label.assignPublicIPAddress" /></label>
					<label class="createPublicIP"><div data-state="unchecked" class="custom-cb" id="createPublicIP"></div><span class="custom-cb-label"></span></label>
				</div>
				<div id="step-7" class="step vmsummarypage">
					<span class="category"><fmt:message key="vmwizard.label.detail" /></span>
					<ul>
					<li class="col1"><fmt:message key="vmwizard.label.vmCount" /></li>
						<li id="summary_vmCount" class="col2"></li>
					<li class="col1"><fmt:message key="vmDetails.label.OS" /></li>
						<li id="summary_os" class="col2"></li>
					<li class="col1"><fmt:message key="name" /></li>
						<li id="summary_name" class="col2"></li>
					<li class="col1"><fmt:message key="description" /></li>
						<li id="summary_description" class="col2"></li>
					<li class="col1"><fmt:message key="vmDetails.label.Expiration" /></li>
						<li id="summary_expiration" class="col2"></li>
					<li class="col1 vmbackup"><fmt:message key="vmWizard.label.enableBackup" /></li>
						<li id="summary_vmbackup" class="col2 vmbackup"></li>
					<c:if test="${enableCustomVMParams eq true}">
						<li class="col1"><fmt:message key="vmDetails.label.DomainName" />:</li>
							<li id="summary_domainname" class="col2"></li>
						<li class="col1"><fmt:message key="vmDetails.label.OrgUnit" />:</li>
							<li id="summary_orgunit" class="col2"></li>
					</c:if>

					<li class="col1"><fmt:message key="vmDetails.label.VMPool" />:</li>
						<li id="summary_pool" class="col2"></li>
					<li class="col1"><fmt:message key="template" /></li>
						<li id="summary_template" class="col2"></li>
					</ul>
					<div class="clrfloat"></div>
					<br />
					<span class="category"><fmt:message key="vmDetails.label.Configuration" /></span>
					<ul>
					<li class="col1 amazon"><fmt:message key="vmDetails.label.instanceType" /></li>
						<li id="summary_instanceType" class="col2 amazon"></li>
					<li class="col1 azure"><fmt:message key="vmWizard.label.size" /></li>
						<li id="summary_azureSize" class="col2 azure"></li>
					<li class="col1 oracle-cloud"><fmt:message key="vmDetails.label.shape" /></li>
						<li id="summary_oc-shape" class="col2 oracle-cloud"></li>
					<li class="col1 vmware"><fmt:message key="vmDetails.label.numCPU" /></li>
						<li id="summary_numcpu" class="col2 vmware"></li>
					<li class="col1 amazon"><fmt:message key="vmDetails.label.CPUUnits" /></li>
						<li id="summary_cpuUnits" class="col2 amazon"></li>
					<li class="col1 amazon oracle-cloud"><fmt:message key="vmDetails.label.CPUCores" /></li>
						<li id="summary_cpuCores" class="col2 amazon oracle-cloud"></li>
					<li class="col1 not-azure"><fmt:message key="vmDetails.label.Memory" /></li>
						<li id="summary_memory" class="col2 not-azure"></li>
					<li class="col1 vmware"><fmt:message key="vmDetails.label.numNics" /></li>
						<li id="summary_numnic" class="col2 vmware"></li>

					<li id = "summary_iops_label" class="col1"><fmt:message key="vmwizard.label.IOPS" /></li>
						<li id="summary_iops" class="col2 "></li>

					<li id="summary_discs">
					</li>
					<li id="label_summary_isoPath" class="col1"><fmt:message key="vmWizard.label.isoMountPath" /></li>
						<li id="summary_isoPath" class="col2"></li>
					<li>
						<ul id="networkName"></ul>
					</li>
					<li>
						<ul id="summary_publicIPOption"></ul>
					</li>
					</ul>

                    <div class="clrfloat"></div>
                    <br>

					<!-- Begin costing summary information -->
					<span class="category cost-category">
					    <fmt:message key="vmWizard.label.Cost" />
					</span>

					<ul id="summary-cost-ul"></ul>
					<!-- End costing summary information -->
				</div>
	</div>
</form>
</fmt:bundle>