<%@page import="commvault.msgs.web.Ida.VirtualMachine"%>
<%@page import="commvault.msgs.web.CvEntities.CVDate"%>
<%@page import="commvault.web.vmprov.VMUtil"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<div class="subsec-body clientJobs">
				<ul class="secrowhead secrows">
					<li class="li1">Name</li>
					<li class="li2">State</li>
					<li class="li3">IP Address</li>
					<li class="li4">Operating System</li>
					<li class="li5">Expiration Date</li>
				</ul>
				<c:choose>
				<c:when test="${fn:length(requestScope.VM_LIST) > 0}">
					<div id="browseDataRows">
						<c:forEach var="item" items="${requestScope.VM_LIST}">
							<ul class="secrows">
								<li class="li1">
									<c:choose>
										  <c:when test="${empty item.job }">
											<a class="someLink"
												href="<c:url value='/vmprovisioning/vmDetails.do'>
													<c:param name='clientName' value='${item.vm.clientName}'/></c:url>">${item.vm.vmName}</a>
													
											</c:when>
									
										<c:otherwise>
											${item.vm.vmName}
										</c:otherwise>
									</c:choose>
								</li>
								<li class="li2">
									<c:choose>
										  <c:when test="${empty item.job }">
										  	<c:set var="protectedImg" value="" />
											    <c:choose>
													<c:when test='${item.vmState eq "Stopped"}'>
										        		<c:set var="protectedImg" value="red" />
										    		</c:when>
													<c:when test='${item.vmState eq "Suspended"}'>
										        		<c:set var="protectedImg" value="yellow" />
										    		</c:when>
										    		<c:when test='${item.vmState eq "Running"}'>
										        		<c:set var="protectedImg" value="green" />
										    		</c:when>
										    		<c:when test='${item.vmState eq "Expired"}'>
										        		<c:set var="protectedImg" value="gray" />
										    		</c:when>
										    		<c:when test='${item.vmState eq "Archived"}'>
										        		<c:set var="protectedImg" value="white" />
										    		</c:when>
												</c:choose>
												<div class="centerpad" title="${item.vmState}">
												    <c:if test="${not empty protectedImg}">  
														<span class="sprite icon-dot-${protectedImg}" alt="${item.vmState}" title="${item.vmState}"></span>
													</c:if>
												</div>
										  </c:when>
									
										<c:otherwise>
											<script nonce="${sessionScope.cspNonce}" >jobs.push({jobId:"${item.job.jobId}",jobProgress:"${item.job.jobProgress}", jobStatus:"${item.job.jobStatus}", jobDescription:"${item.job.jobDescription}"})</script>
											<div class="progress" id="progress-${item.job.jobId}" title="${item.job.jobProgress}%"><div class="progressPercent"></div> </div>
										</c:otherwise>
									</c:choose>
								</li>
																
								<li class="li3">${item.ipAddress.address}</li>
								<li class="li4">${item.operatingSystem}</li>
								<li class="li5">${item.formattedExpirationTime}</li>
							</ul>
						</c:forEach>
						
					</div>
				</c:when>
				<c:otherwise>
					<ul class="secrows">
						<li><fmt:message key="no.vms" /></li>
					</ul>
				</c:otherwise>
				</c:choose>
</div>

