<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.VMProvisioningMessages">
<form id="createcontainerForm" method="post" action="createvm.do">
	<div id="wizard" class="swMain">
				  <ul>
				  	<li><a href="#step-1">
				          <span class="stepDesc">
				             <fmt:message key="vmDetails.label.ContainerPool" />
				          </span>
				      </a></li>
				    <li><a href="#step-2">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.name" />
				          </span>
				      </a></li>
				    <li><a href="#step-3">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.image" />
				          </span>                   
				       </a></li>  
				    <li><a href="#step-4">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.resource" />
				          </span> 
				      </a></li>
				    <li><a href="#step-5">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.access_containers" />
				          </span>
				      </a></li>
				    <li><a href="#step-6">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.volumes" />
				          </span>
				      </a></li>     
				    <li class="step7"><a href="#step-7">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.summary" />
				          </span>                 
				      </a></li>
				  </ul>
				 <div id="step-1" class="step vmpoolspage" >
					<label class="labelontop" for="vmPool"><fmt:message key="vmDetails.label.SelectContainerPool" /></label><br />
					<ul id="vmPool">
					</ul>
					<input type="hidden" name="vmPool" />
				</div>
				<div id="step-2" class="step namepage" >
					<label for="containername"><fmt:message key="name" /></label>
					<input type="text" name="containername" id="containername" autocomplete="off"/>
					<label for="containerdescription"><fmt:message key="description" /></label>
					<textarea cols="18" rows="2" class="input_field_12em" name="containerdescription" id="containerdescription"></textarea><br />
					<label for="vmexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
					<input style="position: relative; z-index: 9999;" class="input_field_12em datepicker" name="vmexpirationdate" id="vmexpirationdate" /><br />
				</div>
				<div id="step-3" class="step imagespage">
					<!-- <div>Select the Container image you want to launch: </div> -->
					<table class="tablesorter" id="container-images">
						<thead>
							<tr>
								<th></th>
								<th><fmt:message key="vmWizard.label.image" /></th>
							</tr>
						</thead>
						<tbody></tbody>
					</table>
					<div id="No_images_div"></div>
					<input id="selectedTemplateGUID" type="hidden" name="selectedTemplateGUID" />
					<input id="selectedTemplateName" type="hidden" name="selectedTemplateName" />
					<input id="selectedTemplateVCenter" type="hidden" name="selectedTemplateVCenter" />
				</div> 
				<div id="step-4" class="step resourcespage">
					<label for="cpu-cores"><fmt:message key="vmDetails.label.CPUCores" /></label>
					<input type="text" name="cpu-cores" id="cpu-cores" class="cprov-config-inputs" autocomplete="off"/>
					<!-- <div class="cpuSlideWrapper sliderWrapper">
							<div id="cpuslider"></div>
						</div> -->
					<br/>
					<label for="containermemory"><fmt:message key="vmWizard.label.Memory" /></label>
					<input type="text" name="containermemory" id="containermemory" class="cprov-config-inputs" autocomplete="off"/>
					<!-- <div class="memSlideWrapper sliderWrapper">
							<div id="memoryslider"></div>
						</div> -->
					<%--
					<label for="containerstorage"><fmt:message key="vmWizard.label.Storage_no_units" /></label>
					<input type="text" name="containerstorage" id="containerstorage" class="cprov-config-inputs" />GB 
					<div class="storageSlideWrapper sliderWrapper">
							<div id="storageslider"></div>
						</div>
					--%>
					<br/>
					<br/>
					<span class="category"><fmt:message key="create.container.ports.and.command" /></span>
					<label><fmt:message key="create.container.ports" /></label>
					<input type="text" name="ports" id="ports" placeholder='<fmt:message key="create.container.ports.placeholder" />' autocomplete="off" title='<fmt:message key="create.container.ports.placeholder" />'/>
					<label><fmt:message key="create.container.command" /></label>
					<textarea cols="18" rows="3" class="input_field_12em" name="startup-command" id="startup-command"></textarea><br />
				</div>
				<div id="step-5" class="step access-containers-page">
					<select style="display: none" multiple="multiple" id="access-containers-list">
					</select>
					<div id="accessContainerListPanel" class="aggregate">		
						<div class="containersPanel availableContainersPanel">
							<h2><fmt:message key="Available_Containers" /></h2> 
							<ul id="availableContainerList" class="connectedSortable">					
							</ul>
						</div>	
						<ul id="moveButtons">
							<li><button id="moveRight" type="button">&gt;</button></li>
							<li><button id="moveLeft" type="button">&lt;</button></li>
						</ul>	
						<div class="containersPanel selectedContainersPanel">
							<h2><fmt:message key="Selected_Containers" /></h2>	
							<ul id="selectedContainerList" class="connectedSortable">
							</ul>
						</div>
					</div>
				</div>
			<div id="step-6" class="step volumespage">
				<span class="category"><fmt:message key="create.container.volume.mapping.title" /></span>
				<span><fmt:message key="create.container.volume.mapping.desc" /></span>
				<br /> 
				<table id="volume-mapping-table" class="cprov-resource-map-table">
					<thead>
						<tr>
							<th><fmt:message key="create.container.volume.mapping.source" /></th>
							<th><fmt:message key="create.container.volume.mapping.path.in.container" /></th>
						</tr>
					</thead>
					<tbody>
					</tbody>
				</table>
			</div>
			<div id="step-7" class="step vmsummarypage">
					<span class="category"><fmt:message key="vmwizard.label.detail" /></span>
					<ul>
					<li class="col1"><fmt:message key="name" /></li>
						<li id="summary_name" class="col2"></li>
					<li class="col1"><fmt:message key="description" /></li>
						<li id="summary_description" class="col2"></li>
					<li class="col1"><fmt:message key="vmDetails.label.Expiration" /></li>
						<li id="summary_expiration" class="col2"></li>
					<li class="col1"><fmt:message key="vmWizard.label.image" />:</li>
						<li id="summary_image" class="col2"></li>
					</ul>
					<div class="clrfloat"></div>
					<br />
					<span class="category"><fmt:message key="vmDetails.label.Configuration" /></span>
					<ul>
					<li class="col1"><fmt:message key="vmDetails.label.CPUCores" /></li>
						<li id="summary_cpuCores" class="col2"></li>
					<li class="col1"><fmt:message key="vmDetails.label.Memory" /></li>
						<li id="summary_memory" class="col2"></li>
					<li class="col1"><fmt:message key="vmWizard.label.ports" /></li>
						<li id="summary_ports" class="col2"></li>
					<li class="col1"><fmt:message key="vmWizard.label.Command" /></li>
						<li id="summary_command" class="col2"></li>
						
					<%-- <li class="col1"><fmt:message key="vmWizard.label.Storage" /></li>
						<li id="summary_storage" class="col2"></li> --%>
					</ul>			
					
                    <div class="clrfloat"></div>
					
				</div>
	</div>
</form>
</fmt:bundle>