<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>

<fmt:bundle basename="localization.VMProvisioningMessages">

<jsp:include page="../common/header.jsp">
       <jsp:param value="true" name="includeMask" />
       <jsp:param value="true" name="includeSecHeader" />
       <jsp:param value="true" name="includeJqueryUI" />
        <jsp:param value="" name="titleLocalized" />
        <jsp:param value="dialog" name="displayMode" />
        <jsp:param value="true" name="includeTableSupport" />        
		<jsp:param value="true" name="includeCustomSelect"/>
        <jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
        <jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/vmprovisioning/css/vmprov.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/css/smart_wizard_vertical.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/vmlabs/css/vmlabs.css" name="css" />
    </jsp:include>

<form id="createvmForm" method="post" action="createLab.do">
	<div id="wizard" class="swMain">
				  <ul>
				    <li><a href="#step-1">
				          <span class="stepDesc">
				             <fmt:message key="vmlabs.template" />
				          </span>
				      </a></li>
				    <li><a href="#step-2">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.name" />
				          </span>
				      </a></li>
				    <li><a href="#step-3">
				          <span class="stepDesc">
				             <fmt:message key="vmlabs.configuration" />
				          </span>                   
				       </a></li>
				     <li><a href="#step-4">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.userdetails" />
				          </span>                   
				       </a></li>  
				     <li><a href="#step-5">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.summary" />
				          </span>                   
				      </a></li>
				  </ul>
				<div id="step-1" class="step vmpoolspage" >
					<label class="labelontop" for="vmPool"><fmt:message key="vmlabs.template" /></label><br />
					<ul id="vmPool">
					</ul>
					<input type="hidden" name="vmPool"/>
				</div>
				<div id="step-2" class="step">
					<label for="vmname"><fmt:message key="name" /></label>
					<input title="Name must be like the pattern with * replaced by 1 or more characters" class="input_field_12em" type="text" name="vmname" id="vmname" />					
					<br/>
					<label class="vmnamepatternlabel"></label>
					<span class="vmnamepatternlabel" title="Name must be like the pattern with * replaced by 1 or more characters">
					&nbsp;&nbsp;&nbsp;Pattern: <span id="vmnamepattern" class='vmnamepattern'></span><br />
					</span>
					<br/>
					<label for="vmdescription"><fmt:message key="description" /></label>
					<textarea cols="18" rows="2" class="input_field_12em" name="vmdescription" id="vmdescription"></textarea><br />
					<label for="vmexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
					<input style="position: relative; z-index: 9999;" class="input_field_12em datepicker" name="vmexpirationdate" id="vmexpirationdate" />
					
					<%-- <label for="vmCount"><fmt:message key="vmwizard.label.vmCount" /></label> --%>
					
					<input id="vmCount" type="hidden" name="vmCount" value="1" size="2" autocomplete="off" />
				</div>
				<div id="step-3" class="step">
					<!-- <span>Configuration Mode</span>
					<br>
					<input type="radio" id="standardConfiguration" name="configurationMode" value="standard" checked><label for="standardConfiguration">Standard</label>
					<br>
					 -->
					<!-- <input type="checkbox" id="customConfiguration" name="configurationMode" value="custom"><label for="customConfiguration">Customize</label> -->
					<%--
					
					<div class="config-customize">
						<label for="virtualMachinesDd"><fmt:message key="vmlabs.virtualmachine" />:</label>
						<select name="virtualMachinesDd" id="virtualMachinesDd">						
						</select>
						<br>
						<label for="vmmemory"><fmt:message key="vmWizard.label.Memory" /></label>
						<input class="input_field_12em" type="text" name="vmmemory" id="vmmemory" />
						<div class="memSlideWrapper">
							<div id="memoryslider"></div>
							</div>
							
						<label for="vmcpu"><fmt:message key="vmDetails.label.numCPU" /></label>
						<input class="input_field_12em" type="text" name="vmcpu" id="vmcpu"/>	
						<label for="vmOS"><fmt:message key="vmDetails.label.OS" /></label>
						<label id="vmOS"></label>	
					</div>
					
					 --%>
					 <div class="config-customize">
					 	<div class="reportTable">
							<table id="configVMsTable">
								<thead>
									<tr>
										<th>VM</th>
										<th># of CPUs</th>
										<th>Memory</th>
										<th>Operating System</th>
									    <th id="config-isoPath"><fmt:message key="vmWizard.label.isoPath" /></th> 
									</tr>
								</thead>
								
								<tbody>
								
								</tbody>
						
							</table>
						</div>
					 </div>
					 
					
					<div>
					</div>
								
				</div>
				<%--  
				
				<div id="step-4" class="step">
					<label for="virtualMachinesDd"><fmt:message key="vmlabs.virtualmachine" /></label>
					<select name="virtualMachinesDd" id="virtualMachinesDd">						
					</select>
					<br>
					<label for="vmmemory"><fmt:message key="vmWizard.label.Memory" /></label>
					<input class="input_field_12em" type="text" name="vmmemory" id="vmmemory" />
					<div class="memSlideWrapper">
						<div id="memoryslider"></div>
						</div>
						
					<label for="vmcpu"><fmt:message key="vmDetails.label.numCPU" /></label>
					<input class="input_field_12em" type="text" name="vmcpu" id="vmcpu" />
					
				</div>	
				 --%>		
				
				<div id="step-4" class="step step4 userPage">
					<span><fmt:message key="vmlabs.wizard.username.info" /></span>
					<br/><br/>
					<label for="vmpassword"><fmt:message key="password" /></label>
					<input class="input_field_12em" name="vmpassword" id="vmpassword" type="password" autocomplete="off" /><br />
					<label for="vmretypePassword"><fmt:message key="confirmPassword" /></label>
					<input class="input_field_12em" name="vmretypePassword" id="vmretypePassword" type="password" autocomplete="off" /><br />
				</div>
				 	
				<div id="step-5" class="step vmsummarypage">
					<span class="category"><fmt:message key="vmwizard.label.detail" /></span>
					<ul>
					<li class="col1"><fmt:message key="vmwizard.label.labCount" /></li>
						<li id="summary_vmCount" class="col2"></li>
					<li class="col1"><fmt:message key="vmlabs.template" /></li>
						<li id="summary_labtemplate" class="col2"></li>
					<li class="col1"><fmt:message key="name" /></li>
						<li id="summary_name" class="col2"></li>
					<li class="col1"><fmt:message key="description" /></li>
						<li id="summary_description" class="col2"></li>
					<li class="col1"><fmt:message key="vmDetails.label.Expiration" /></li>
						<li id="summary_expiration" class="col2"></li>
					</ul>
					<div class="clrfloat"></div>
					<br />
					<span class="category"><fmt:message key="vmDetails.label.Configuration" /></span>
					<div class="reportTable">
						<table id="summaryVMsTable">
							<thead>
								<tr>
									<th>VM</th>
									<th># of CPUs</th>
									<th>Memory</th>
									<th>Operating System</th>
									<th id="summary-isoPath"><fmt:message key="vmWizard.label.isoPath" /></th>
								</tr>
							</thead>
							
							<tbody>
							
							</tbody>
						
						</table>
					</div>
				</div>
	</div>
</form>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}" >
var localMsg = localMsg || {};
${cv:jsLocalize("localMsg", "localization.VMProvisioningJSMessages", null)};
</script>

<jsp:include page="../common/footer.jsp">
    <jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/> 
	<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/js/jquery.smartWizard.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/encoder.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/underscore.min.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmprov.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/slider.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmvalidation.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/vmlabs/js/createlab.js" name="js" />
</jsp:include>