<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.VMProvisioningMessages">
	<div id="wizard" class="swMain">
				  <ul>
				    <li><a href="#step-1">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.name" />
				          </span>
				      </a></li>
				     <li id="configLi"><a href="#step-2">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.configuration" />
				          </span>
				      </a></li>
				      <li><a href="#step-3">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.disks" />
				          </span>                   
				      </a></li>
				      <li><a href="#step-4">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.summary" />
				          </span>                   
				      </a></li>
				  </ul>
				<div id="step-1" class="step">
					<label for="vmname"><fmt:message key="name" /></label>
					<input title="Name must be like the pattern with * replaced by 1 or more characters" class="input_field_12em" type="text" name="vmname" id="vmname" />
					<label class="vmnamepatternlabel"></label>
					<span title="Name must be like the pattern with * replaced by 1 or more characters" class="vmnamepatternlabel">
					&nbsp;&nbsp;&nbsp;Pattern: <span id="vmnamepattern" class='vmnamepattern'></span><br />
					</span>
					<label for="vmdescription"><fmt:message key="description" /></label>
					<textarea cols="18" rows="2" class="input_field_12em" name="vmdescription" id="vmdescription"></textarea><br />
					<label for="vmexpirationdate" class="hide4-orphan-vm"><fmt:message key="vmDetails.label.Expiration" /></label>
					<input class="input_field_12em datepicker hide4-orphan-vm" name="vmexpirationdate" id="vmexpirationdate" type="text"/>
					<span id="extenExpirationByHour" class="hide4-orphan-vm hidden"><fmt:message key="vmDetails.label.Hours" /></span>
					<label for="vmbackup" class="vmbackup"><fmt:message key="vmWizard.label.enableBackup" /></label>
					<label class="vmbackup"><div data-state="unchecked" class="custom-cb" id="vmbackup"></div><span class="custom-cb-label"></span></label>
				</div>
				<div id="step-2" class="step memorypage">
					<div class="vmware">
						<label for="vmmemory"><fmt:message key="vmWizard.label.Memory" /></label>
						<input type="text" class="input_field_12em" name="vmmemory" id="vmmemory" />
						<span class="price vmmemory-price" id="vmmemory-price" title="<fmt:message key="vmWizard.label.Cost" />"></span>
						
						<br>
						
						<div class="memSlideWrapper">
							<div id="memoryslider"></div>
						</div>
						
						<label for="numcpus"><fmt:message key="vmDetails.label.numCPU" /></label>
						<input type="text" class="input_field_12em" name="numcpus" id="numcpus" />
						<span class="price numcpus-price" id="numcpus-price" title="<fmt:message key="vmWizard.label.Cost" />"></span>
						
						<br>
						
						<label for="numnics"><fmt:message key="vmDetails.label.numNics" /></label>
						<input type="number" class="input_field_12em" name="numnics" id="numnics"/><br />
						
						<!--
						  This set of elements is filled with multiple select
						  dropdowns for network name selection on policies with
						  multiple NICs
						-->
						<div id="nicNameDiv"></div>
					</div>
					<div class="amazon">
						<table class="tablesorter" id="amazonInstanceTypes" width="100%">
							<thead>
								<tr>
									<th></th>
									<th><fmt:message key="noColon.instanceType" /></th>
									<th><fmt:message key="noColon.CPUUnits" /></th>
									<th><fmt:message key="noColon.CPUCores" /></th>
									<th><fmt:message key="noColon.Memory" /></th>
								</tr>
							</thead>
							<tbody></tbody>
						</table> 
					</div>
					<div class="azure">
						<table class="tablesorter" id="azureInstanceTypes" width="100%">
							<thead>
								<tr>
									<th></th>
									<th><fmt:message key="vmWizard.label.size" /></th>
									<th><fmt:message key="noColon.CPUCores" /></th>
									<th><fmt:message key="noColon.Memory" /></th>
								</tr>
							</thead>
							<tbody></tbody>
						</table> 
					</div>
					<input id="selectedInstanceTypeId" type="hidden" name="selectedInstanceTypeId" />
				</div>
				<div id="step-3" class="step diskpage">
					<!-- vmIOPS is not configurable during edit op, but is essential in validating the wizard, so keeping it hidden -->
					<input type="text" name="vmIOPS" id="vmIOPS" style="display:none"/> 
					<label><fmt:message key="vmWizard.label.maxDisk" /></label>
					<label><span id="maxDiskSpace"></span>GB</label>
					
					<br>
					
					<label><fmt:message key="vmWizard.label.maxDisksCount" /></label> 
					<label><span id="maxDisks"></span></label>
					<div id="multipleDisks"></div>
					<br />
					<a href="#" id="addDisk"><fmt:message key="vmWizard.label.AddDisk" /></a>
					<p class='maxdiskspace-exceeded' style="display:none"><fmt:message key="vmWizard.label.maxDiskSpaceExceeded"/></p>
					<p class='azureDisksAreNotEditable' style="display:none"><fmt:message key="vmWizard.label.azureDisksAreNotEditable"/></p>
					<p class='diskSnapshotNotEditable' style="display:none"><fmt:message key="vmWizard.label.diskSnapshotNotEditable"/></p>
				</div>
				<div id="step-4" class="step vmsummarypage">
					<span class="category"><fmt:message key="vmwizard.label.detail" /></span>
					<ul>
					<li class="col1"><fmt:message key="vmDetails.label.OS" /></li>
						<li id="summary_os" class="col2"></li>
					<li class="col1"><fmt:message key="name" /></li>
						<li id="summary_name" class="col2"></li>
					<li class="col1"><fmt:message key="description" /></li>
						<li id="summary_description" class="col2"></li>
					<li class="col1 hide4-orphan-vm"><fmt:message key="vmDetails.label.Expiration" /></li>
						<li id="summary_expiration" class="col2 hide4-orphan-vm"></li>
					<li class="col1 vmbackup"><fmt:message key="vmWizard.label.enableBackup" /></li>
						<li id="summary_vmbackup" class="col2 vmbackup"></li>	
					</ul>
					<div class="clrfloat"></div>
					<br />
					<span class="category"><fmt:message key="vmDetails.label.Configuration" /></span>
					<ul>
					<li class="col1 amazon summ_amInstanceType"><fmt:message key="vmDetails.label.instanceType" /></li>
						<li id="summary_instanceType" class="col2 amazon summ_amInstanceType"></li>
					<li class="col1 azure"><fmt:message key="vmWizard.label.size" /></li>
						<li id="summary_azureSize" class="col2 azure"></li>	
					<li class="col1 amazon summ_cpuUnits not-azure"><fmt:message key="vmDetails.label.CPUUnits" /></li>
					<li id="summary_cpuUnits" class="col2 amazon summ_cpuUnits not-azure"></li>
					<li class="col1 amazon summ_cpuCores"><fmt:message key="vmDetails.label.CPUCores" /></li>
					<li id="summary_cpuCores" class="col2 amazon summ_cpuCores"></li>
					<li id="label_numCPU" class="col1 summ_numCPU not-azure"><fmt:message key="vmDetails.label.numCPU" /></li>
						<li id="summary_numcpu" class="col2 summ_numCPU not-azure"></li>
					<li class="col1 summ_memory not-azure"><fmt:message key="vmDetails.label.Memory" /></li>
						<li id="summary_memory" class="col2 summ_memory not-azure"></li>
					<li id="label_numNIC" class="col1 not-azure"><fmt:message key="vmDetails.label.numNics" /></li>
						<li id="summary_numnic" class="col2 not-azure"></li>
					<li id="summary_discs">
					</li>		
						<div id="networkName"></div>
					</ul>
					
					<div class="clrfloat"></div>
                    <br>
					
					<!-- Begin costing summary information -->
					<span class="category cost-category">
					    <fmt:message key="vmWizard.label.Cost" />
					</span>
					
					<ul id="summary-cost-ul"></ul>
					<!-- End costing summary information -->					
				</div>
	</div>
</fmt:bundle>