<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="localization.VMProvisioningMessages">
	<div id="liveMountWizard" class="swMain">
				  <ul>
				    <li><a href="#step-1">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.mountPoints" />
				          </span>
				      	</a>
				    </li>
				     <li id="configLi"><a href="#step-2">
				          <span class="stepDesc">
				             <fmt:message key="vmWizard.label.location" />
				          </span>
				      </a></li>
				      <li><a href="#step-3">
				          <span class="stepDesc">
				             <fmt:message key="vmwizard.label.summary" />
				          </span>                   
				      </a></li>
				  </ul>
				<div id="step-1" class="step">
					<div class="category"><fmt:message key="vmWizard.label.selectMountPoints" /></div>
					<ul>
						<li class="lm-pointInTime-li">
							<input id="mountFromLatest" name="mountPoint" type="radio" class="mountPoint"
							value="mountFromLatest" checked>
							<label class="lm-label" for="mountFromLatest"><fmt:message key="vmWizard.liveMount.mountFromLatest"/></label>
						</li>
						<li class="lm-pointInTime-li">
							<input id="pointInTime" name="mountPoint" type="radio" class="mountPoint"
							value="pointInTime">
							<label class="lm-label" for="pointInTime"><fmt:message key="vmWizard.liveMount.pointInTime"/></label>
							<ul class="lm-mountBefore">
								<li><fmt:message key="vmWizard.liveMount.mountBefore"/></li>
								<li>
									<label class="lm-label"><fmt:message key="vmWizard.liveMount.time"/></label>
									<input id="startTime" type="text" value="" name="timeValue">
								</li>
								<%-- <li>
									<label class="lm-label"><fmt:message key="vmWizard.liveMount.timeZone"/></label>
									<div class="customSelect-holder timezone-holder">
										<ul id="lm-timezone-list"></ul>
									</div>	
								</li> --%>
							</ul>
						</li>
					</ul>					
				</div>
				<div id="step-2" class="step memorypage">
					<div class="category"><fmt:message key="vmWizard.label.vmLocation" /></div>
					<div class="lm-vmLocation"> 
						<ul class="">
							<li class="lm-location-li">
								<label class="lm-input-label"><fmt:message key="vmWizard.liveMount.policies"/></label>
								<!-- 
								<select class="lm-input">
								</select>
								 -->
								 <div class="customSelect-holder">
									<ul id="vmPool">
									</ul>
								</div>
							</li>
							<li class="lm-location-li">
								<label class="lm-input-label" for="lm-vmname-tf"><fmt:message key="vmWizard.liveMount.vmName"/></label>
								<input type="text" id="lm-vmname-tf" class="lm-input" name="mountVMName">
							</li>
							<li class="lm-location-li">
								<fmt:message key="vmWizard.liveMount.network"/>
								<ul>
									<li>
										<input class="networkOpts" id="noNetworkRadio" name="networkOpts" type="radio" value="noNetwork" checked>
										<label class="lm-label" for="noNetworkRadio"><fmt:message key="vmWizard.liveMount.noNetwork"/></label>
									</li>
									<li>
										<input class="networkOpts" id="originalNetworkRadio" name="networkOpts" type="radio" value="originalNetwork">
										<label class="lm-label" for="originalNetworkRadio"><fmt:message key="vmWizard.liveMount.originalNetwork"/></label>
									</li>
									<li>
										<input class="networkOpts" id="selectNetworkRadio" name="networkOpts" type="radio" value="customNetwork">
										<label class="lm-label" for="selectNetworkRadio"><fmt:message key="vmWizard.liveMount.selectNetwork"/></label>
										<div class="customSelect-holder"><ul id="networkList" class="lm-input lm-network-select"></ul></div>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</div>
				<div id="step-3" class="step vmsummarypage">
					<span class="category"><fmt:message key="vmWizard.label.mountPoints" /></span>
					<ul>
						<li>
							<label id="lm-summ-mountfromlatest" class="lm-label"><fmt:message key="vmWizard.liveMount.summary.mountingFromLatest" /></label>
							<label id="lm-summ-mountfromtime" class="lm-label"><fmt:message key="vmWizard.liveMount.summary.mountingFromTime" /></label>
						</li>
					</ul>
					<div class="clrfloat"></div>
					<br />
					<span class="category"><fmt:message key="vmWizard.label.location" /></span>
					<ul>
						<li>
							<label class="lm-label"><fmt:message key="vmWizard.liveMount.summary.policy" /></label>
							<label id="lm-summ-policy" class="lm-label"></label>
						</li>
						<li>
							<label class="lm-label"><fmt:message key="vmWizard.liveMount.summary.vmName" /></label>
							<label id="lm-summ-vmname" class="lm-label"></label>
						</li>
						<li>
							<label class="lm-label"><fmt:message key="vmWizard.liveMount.summary.network" /></label>
							<label id="lm-summ-network" class="lm-label"></label>
						</li>
					</ul>
				</div>
	</div>

		
</fmt:bundle>