<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>

<!DOCTYPE html>
<html lang="en">
<head>
<jsp:include page="/common/search-engine.jsp" />
<meta charset="utf-8" />
<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame
       Remove this if you use the .htaccess -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="" />
<meta name="author" content="CommVault">

<jsp:include page="../common/jquery.jsp" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/common/css/jquery.loadmask.css?${applicationScope.BUILD_TS}"/>
<link rel="stylesheet" href="${pageContext.request.contextPath}/common/css/templatestyles.css?${applicationScope.BUILD_TS}" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/common/css/cvdialog.css?${applicationScope.BUILD_TS}" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/vmprovisioning/css/vmprov.css?${applicationScope.BUILD_TS}" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/common/css/sprites.css?${applicationScope.BUILD_TS}" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/common/css/custom-select.css?${applicationScope.BUILD_TS}" />

<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/vmprovisioning/js/vmowners.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/common/js/cvutil.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js?${applicationScope.BUILD_TS}"/></script>
<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	${cv:jsLocalize("localMsg", "localization.VMProvisioningMessages", null)};
</script>


</head>

<fmt:bundle basename="localization.VMProvisioningMessages">
<body>
<div id="usersDialog">
					<div id="adduserdiv">
					<div id="adduserlabeldiv">
					<label for="userName"><fmt:message key="Add_New_User" /></label><br />
					</div>
					<input id="userNameField" name="userName" /><span id="addBtn" class="sprite icon-plus" style="margin-left:4px;vertical-align:middle"></span>
					</div>
					<label id="userNameHelpText"></label>
					<br />
					<br />
					<div id="existingusersdiv">
					<div id="existinguserslabeldiv">
					<label for="snapDescription"><fmt:message key="Existing_Users" /></label>
					</div>
					<ul class="customSelectOptions usersList" id="userList">

					</ul>
					</div>
					<div class="btns">
							<a href="#" id="cancelButton">Cancel</a>
							<a href="#" id="saveButton" class="okSaveButton">Save</a>
					</div>
</div>
</fmt:bundle>
</body>
</html>